Facilities
Check for pre-existing tenant
Checks if a tenant exists with this email. If so, sends a verification code.
POST
/
shopping
/
{portfolio}
/
v1
/
facilities
/
tenant
/
check-preexisting
Check for pre-existing tenant
curl --request POST \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/tenant/check-preexisting \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"email": "<string>",
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/tenant/check-preexisting"
payload = {
"email": "<string>",
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', facilityUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/tenant/check-preexisting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exists": true,
"expiration": "2023-11-07T05:31:56Z"
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
⌘I
Check for pre-existing tenant

